### A free/open-source library for quantitative finance

Public Member Functions
PerturbativeBarrierOptionEngine Class Reference
Barrier option engines

perturbative barrier-option engine More...

`#include <ql/experimental/barrieroption/perturbativebarrieroptionengine.hpp>`

Inheritance diagram for PerturbativeBarrierOptionEngine:
[legend]

List of all members.

## Public Member Functions

| PerturbativeBarrierOptionEngine (const boost::shared_ptr< GeneralizedBlackScholesProcess > &, Natural order=1, bool zeroGamma=false)
void | calculate () const

## Detailed Description

perturbative barrier-option engine

This engine implements the approach described in <http://www.econ.univpm.it/recchioni/finance/w3/>.